/////////////////////////////////////
//
//  The 1969 Moon Landing Was a Hoax !!!
//

precision highp float;       	// Set the default precision to medium. We don't need as high of a
								// precision in the fragment shader.

uniform sampler2D u_TextureCloud;   // The input Cloud texture.

uniform float u_Brightness;
  
varying vec4 v_Diffuse;
varying vec2 v_Tex;
varying vec2 v_Spec;
varying vec3 v_Light;
varying vec3 v_View;
varying vec3 v_Par;
  
// The entry point for our fragment shader.
void main()                    		
{
	vec2 vTex1;
	vTex1.x = v_Tex.x - v_Diffuse.a; // cloud offset
	vTex1.y = v_Tex.y;
	vec4 vCol0 = texture2D(u_TextureCloud, vTex1);
	float fMult = clamp(v_Diffuse.r + 0.03, 0.0, 1.0);
	float fNightAlpha = clamp(0.6 + fMult * 5.0, 0.0, 1.0);
	vCol0.rgb = vCol0.rgb * fMult;

	vCol0.rgb = clamp(vCol0.rgb * u_Brightness, 0.0, 1.0);

	if (vCol0.a < 0.27)
	{
		vCol0.a = vCol0.a * fNightAlpha;
	}

    gl_FragColor = vCol0;
}

