precision mediump float;

uniform mat4 u_MVPMatrix;		// A constant representing the combined model/view/projection matrix.
uniform float u_Fader;

attribute vec3 a_Position;		// Per-vertex position information we will pass in.

// The entry point for our vertex shader.
void main()                                                 	
{
    vec4 vPos = vec4(a_Position.xyz, 1.0);

	gl_Position = u_MVPMatrix * vPos;
}                                                          